Page MenuHomePhabricator

Descriptive labels instead of Phabricator app names
Closed, ResolvedPublic

Description

The sidebar of the main page is infested with totally meaningless proper names (e.g. "Ponder" "Divine" "Herald") and clueless icons which communicate no meaning whatsoever. To know what a thing actually is, I have to hover it to get the hover text. Please swap the useless names with the hover text, and maybe gain some real estate by removing the useless icons.

Details

Reference
fl119

Event Timeline

flimport raised the priority of this task from to Low.
flimport set Reference to fl119.

qgil wrote on 2014-04-17 19:18:05 (UTC)

See also @greg's comment on the "spite" resolution at T20#7

All these funny labels can be changed at once by changing the mode or tone in the admin configuration. Funny or not, I think they reflect a too narrow profile, and they will keep confusing a nice % of our very diverse user base.

@demon, @bd808 (I have no idea who is administering this site), what do you think about going to the standard mode even now in this test instance?

demon wrote on 2014-04-17 19:28:58 (UTC)

I turned serious business back off already because it wasn't fun.

qgil wrote on 2014-04-18 04:51:14 (UTC)

Jargon and icons are different problems; let's focus on jargon here.

About names of applications (this is how they are considered in Phabricator), Maniphest, Differential or Pholio are as meaningful/less as Trello, Gerrit, Jenkins, and long etc. This is how they are called and people will get used to these names by using the tools.

About labels, we will need to agree whether we want the "fan" or the "serious" mode, and whether we want to maintain a patch with local changes or not. In any case the problem is technically simple to solve, so Low.

PS: about app icons and real estate, for what is worth you can customize hide what you don't use at http://fab.wmflabs.org/settings/panel/home/ . There is no "labels only" preference, though. If you are interested in this please open a new request, although I guess from upstream we can expect the labels to be still the names of the applications.

Nemo_bis wrote on 2014-04-18 07:13:27 (UTC)

About names of applications (this is how they are considered in Phabricator), Maniphest, Differential or Pholio are as meaningful/less as Trello, Gerrit, Jenkins

Not true at all. Within each of those applications (or at least bugzilla which is the most important one) things have meaningful names. Reports are called reports, not "Ponder", "Divine" or "Herald" (can't remember which of these silly names is used here). Here we currently have 40 applications; did someone map how many of them are needed to cover the functionality of bugzilla?

Anyway, bugzilla users have no need to interact with gerrit or trello and even gerrit users have no need to know what "jenkins" actually means

verdy_p wrote on 2014-04-20 17:26:20 (UTC)

If you want to make your technical community to work even further from the commnity, continue adding such cryptic terminology. May be internally the tool aggregates info from various tools, but at least it should adopt its own descriptive and unified terminology that will not bring almost all users far away from this site: And not even the existing users of existing tools. If things are termed differently in different tools you aggregate, but for similar functions, you should be consistant and also consider that these internal tools aggregated are also replaceable at any time later.
So unless you really require a new specific and distinctive term, the common sense should be used things like "Mock", "Ponder", "Divine" are completely (when will you add "Spirit", "Goddess", "Prayer", "Sortilege", "Magic": "Fire ball", "Archery", "Skulls and bones"; "Love Philter" ? this tool is not a wargame !!!).

Don't forget also "Weigh In" (sic!) and the Submit button in this form (renamed "Avast!"): do you want to promote a commercial antivirus tool ?

And I also agree that these hollow icons are extremely mysterious (and in fact not even decorative. They also do not give any hint about what they mean; for me they are just unformed dots polluting the page with absolutely no value (thy would be absent we would have the same information (and they are also poorly distinctive); they are extremely boring.

Ok you don"t need lots of colors, but once again the look and feel is extremely gender-oriented. Please ask some women what they think about it and why so few do not want to invest time in these boring tools (once again we have the metalic grey-blue eveywhere, even Windows is more attractive with its interface with real colors that do not disturb the usage and still emphasize what is important. Go green, forget grey, life is not so bad we need people happy here...

Note: what does this bug white on power blue icon means before each comment ? What is it supposed to show?

qgil wrote on 2014-04-21 00:37:51 (UTC)

I enabled the serious business mode again. New Phabricator users are dealing with enough new concepts, labels, and strings. The Shenanigans style wouldn't fly in an official Wikimedia installation anyway.

Also, with the serious business mode on we can see whether we still have superfluous jargon in the UI. At least now "Avast!" is "Submit".

qgil wrote on 2014-04-21 02:12:47 (UTC)

Please have a look at the proposal for default sidebar at T12.

The labels that anonymous and registered users would see by default are "Manifest - Tasks and Bugs", "Feed", "Projects", "People". This is perfectly acceptable.

I don't see any problem in keeping the original terms used by Phabricator, as long as every user sees what they need to see. The only reason why Maniphest sounds weird to some today and Bugzilla not, is because we are used to call our issue reporting tool with this name. Both names can puzzle any new user out there.

By the way, these names seem to be quite hardcoded, although I might be wrong. Even if we would change "Maniphest" for "Tasks" in the UI, it would probably appear still in the URL of tasks (and the same goes for the rest of apps). Also, if users wants to know how to do XYZ with "Tasks" then they will miss the documentation and the web pages explaining the solution for "Maniphest".

@Verdy_p, your comments about the UI are welcome at T120: Grey on grey everywhere

aklapper wrote on 2014-04-21 08:26:55 (UTC)

I strongly prefer keeping "serious" mode.
We could still adjust some strings that are unclear, but with fun mode on I'd expect more users to run into the same issues that users have with some parts of the Bugzilla UI ("I have no idea what this button/field is for so I better don't click it to not do something wrong?").
People with an English mother/fathertongue obviously have advantages here, but most users have a different language background. I didn't know either what an "Avast!" button translates to until looking up the word in a dictionary, only its position below the comment field made me guess what's going to happen after clicking it.

If somebody's really into fun mode, either file an upstream ticket to make it a per-user setting, or turn the entire world population into having English as mother/fathertongue so everybody understands all the jokes instead of feeling unsafe using an important infrastructure tool to contribute?

epriestley wrote on 2014-04-25 18:24:15 (UTC)

Some discussion on Quora about this topic in general:

http://www.quora.com/Phabricator/Why-is-the-Browse-feature-called-Diffusion-and-not-just-Browse

Generally, our experience is that this most users find the application names disorienting very briefly when they first start using Phabricator, but that this isn't a persistent issue. Our intended remedy is to improve onboarding, which is something we do a weak job of right now in general (the first experience users have with Phabricator tends to be overwhelming for a number of reasons, and I think the application names are easy to latch onto as a source for this, but the deeper problem is that the home screen in general is not accommodating enough and also not very good, period -- see https://secure.phabricator.com/T3583).

We also recently removed the submit button names (like "Avast!" and "Clowncopterize") even in non-serious mode. Although there was a lot of history behind these labels, they were more of an in-joke in modern use and not especially funny to anyone who isn't ex-Facebook. Non-serious mode retains other flavor, like the "Spite" resolution. We've received mostly-positive feedback on everything except the submit buttons, where feedback was more mixed.

verdy_p wrote on 2014-04-25 18:43:34 (UTC)

The experience is highly skewed by the fact that the interface is almost not translated at all. Most of your visitors for now are native English readers, and the others do not understand anything and leave immediately.

Using many product names that are only descritptive in English where they are capitalized, will promote the pseudo-translation using the same word that has no meaning in other languages. This immediatzly creates a barrier against the intuitive first use of the tools, and then forces other non-English wikis to develop an extensive help system and spend lots of time to reexplain the same things. This cost is not acceptable for languages with small wikis, there won't be enough developers there to test how to use the tools and at the same time give support to all others (it is visible by the very small number of Wikipedia Ambassadors, training is a major problem that highly complicates the development of Wikimedia).

An intuititive and self-explanatory interface is definitely not an option (otherwise you will violate the strategic priorities defined and supported by the Foundation).

As well, accessibility is also not an option : the current tool is almost unusable outside a small range of configurations and much less usable on mobile platforms than the existing tools that it intends to replace (even if they are not exmpt of defects). And the only fact that this tool will agregate a lot of others, means that it will be much more central without easy ways to use something else.

Please consider the analysis and conclusions of the Strategic planification process (and look at the collected statistics about usage rates versus cultures which show that the problem is extremely serious).

qgil wrote on 2014-04-25 20:00:21 (UTC)

Bringing back the discussion to the specific situation in Wikimedia, our technical community decided to communicate in English, and "Bugzilla", "Gerrit", "Trello", "Mingle", "Scrumbugz" are no different than "Maniphest", "Differential", etc.

Moving to Wishlist, although this is probably a wontfix.

Nemo_bis wrote on 2014-05-05 12:50:27 (UTC)

"Bugzilla", "Gerrit", "Trello", "Mingle", "Scrumbugz" are no different than "Maniphest", "Differential", etc.

Please stop these lies. Bugzilla (as well as gerrit, mostly) uses meaningful names for its features, see http://fab.wmflabs.org/T119#19

qgil wrote on 2014-05-05 13:22:06 (UTC)

Please stop these lies.

Please be nice. Calling someone liar is not nice.

Phabricator is a collection of integrated tools. "Maniphest" is at the same level than "Bugzilla", "Trello", "Mingle", or "Scrumbugz". "Differential" is at the same level than "Gerrit". Once you are inside in any of these Phabricator apps, the terms used are descriptive. If you find a non-descriptive string at that level, just report it with an alternative. The UI can be edited at that level, as we have already done in a couple of cases.

I don't think these names are problematic. Users get used to them as quickly as they get used to Bugzilla etc. If you have a problem with a aver, hover your mouse and you get a description. "Diviner" says "Documentation". "Herald" says "Create Notification Rules". "Ponder" has been removed from our instance.

Note also that users landing in our instance for the first time are supposed to see a very simple menu, check T12: (test) How do design attachments/assets work?.

On the other hand, changing the names of the apps in the UI is problematic indeed. It is not supported, therefore we would need to fork some files. If users want to search online anything about these tools, changing their names won't help them.

Do we want to pay the price of a local fork for this? I still see no reason. Wontfix is the option that makes sense here.

aklapper wrote on 2014-05-06 13:33:25 (UTC)

At least on the frontpage http://fab.wmflabs.org/ , you get a popup which explains what the tool does, when hovering over the buttons on the left with the mouse.

Nemo_bis wrote on 2014-05-07 10:53:01 (UTC)

Yes, the hover text is good enough: hence it seems easy to swap it for the names; those affectionate to the names can hover for them.

qgil wrote on 2014-08-26 09:17:09 (UTC)

Upstream resolved this discussion. Now we have app names and short descriptions. Resolving.

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:25 AM